
Base Distribution - Epic # 8792

Status: New Priority: Could have
Author: Daniel Poetzinger Category:
Created: 2010-07-10 Assigned To:
Updated: 2012-08-31 Due date:
Subject: EPIC: Speed and Contentcaching
Description

Integrate in Hudson a general jmeter performance graph

This can also include support vor Varnish

History
#1 - 2010-07-11 16:43 - Daniel Poetzinger

1) Hudson need the jmeter Plugin

http://wiki.hudson-ci.org/display/HUDSON/JMeter+Plugin

2) Jmeter need to be downloaded on the server
http://jakarta.apache.org/jmeter/

3) Create new build "latest CMS Performance" in Hudson with a build script like this one:

<project name="performance" default="build" basedir="../../">
    <target name="build" depends="clean,jmeter" />
    <target name="clean">
        <mkdir dir="${basedir}/build/logs" />
        <delete>
            <fileset dir="${basedir}/build/logs">
                <include name="*.jtl" />
            </fileset>
        </delete>
    </target>
    <target name="jmeter">
        <exec executable="/opt/jmeter/bin/jmeter" dir="${basedir}" 
            failonerror="true">
            <arg
                line="-n -t svn/build/testplan.jmx -l build/logs/testplan.jtl -j build/logs/testplan.log" />
        </exec>
    </target>
</project>

- Also enable the plugin and specify the path to the result report

#2 - 2010-07-11 16:45 - Daniel Poetzinger
- File TYPO3-5-Basictest.jmx added
http://wiki.hudson-ci.org/display/HUDSON/JMeter+Plugin
http://jakarta.apache.org/jmeter/


A sample test (calling homepage and a subpage with maximum of 10 concurent users and 10 repeats) is attached

#3 - 2010-07-11 16:45 - Daniel Poetzinger
- % Done changed from 0 to 20

#4 - 2010-08-20 12:56 - Karsten Dambekalns
- Target version changed from 593 to 628

#5 - 2010-10-21 11:06 - Sebastian Kurfuerst
- Tracker changed from Task to Story
- Subject changed from Performance Build for the Website to As a website user, I want fast response times.
- Target version deleted (628)

#6 - 2010-10-28 09:33 - Daniel Poetzinger
- Position deleted (5462)
- Position set to 9438

#7 - 2010-10-28 14:46 - Daniel Poetzinger
- Subject changed from As a website user, I want fast response times. to EPIC: Speed and Contentcaching
- Position deleted (9439)
- Position set to 9439

#8 - 2010-10-28 14:46 - Daniel Poetzinger
- Position deleted (9439)
- Position set to 9443

#9 - 2011-05-05 13:48 - Robert Lemke
- Project changed from Core Team to Base Distribution

#10 - 2012-08-31 11:07 - Robert Lemke
- Tracker changed from Story to Epic

Files
TYPO3-5-Basictest.jmx 7.3 kB 2010-07-11 Daniel Poetzinger
